Subject: [Sip] passing trunk info

From: Romel Khan <[email-masked]>
Date: Wed, 10 Oct 2001 11:39:33 -0400

For accounting purpose, service providers often have the need to obtain the
GW Id and Trunk/trunk group that serves a call originated from PSTN. An
originating SIP server will have need to pass this information to a SIP
application server that does the accounting.
Has passing such information (GW Id and Trunk/trunk group) been addressed?

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Peterson, Jon" <[email-masked]>
Date: Wed, 10 Oct 2001 15:16:38 -0500

There does seem to be motivation to support trunk group identifiers within
URIs, to designate originating trunk groups and possibly destination trunk
groups as well. Requirements for SS7 trunks, PRIs, and even MF trunks have
been suggested in the past. The major points of controversy seemed to be the
format of the identifier (something broad enough to express any of the above
trunk types) and its placement in the message.

I would hope, though, that regardless of any problems with designating trunk
groups, an identifier for the gateway could be trivially derived from the
From header.

Maybe the interested parties should kick off a thread on SIPPING (which is
probably the appropriate forum for this discussion) to gather requirements
for this.

Jon Peterson
NeuStar, Inc

> -----Original Message-----
> From: Romel Khan [mailto:[email-masked]]
> Sent: Wednesday, October 10, 2001 8:40 AM
> To: [email-masked]
> Subject: [Sip] passing trunk info
> 
>

---

From: "Frank W. Miller" <[email-masked]>
Date: Wed, 10 Oct 2001 16:39:50 -0400

We are definitely interested in this and have actually started down an
implementation path doing something along these lines.  In addition, we
have been working on a couple of drafts that are aimed at PSTN
interoperability.  Both provide simplified textual represenations of
PSTN protocols, TCAP and the subset of ISUP not covered by the sip-isup
draft.  Both make use of the SIP INFO message for transport between the
SIP UA and a signaling gateway to the PSTN.  I will be submitting both
of these drafts in the next week or so and am donning my asbestos suit
now as a precautionary measure...

FM

Frank W. Miller, Ph.D.
Chief Technical Officer
sentitO Networks, Inc.
www.sentito.com

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Peterson, Jon
Sent: Wednesday, October 10, 2001 4:17 PM
To: 'Romel Khan'; [email-masked]
Subject: RE: [Sip] passing trunk info

There does seem to be motivation to support trunk group identifiers
within
URIs, to designate originating trunk groups and possibly destination
trunk
groups as well. Requirements for SS7 trunks, PRIs, and even MF trunks
have
been suggested in the past. The major points of controversy seemed to be
the
format of the identifier (something broad enough to express any of the
above
trunk types) and its placement in the message.

I would hope, though, that regardless of any problems with designating
trunk
groups, an identifier for the gateway could be trivially derived from
the
>From header.

Maybe the interested parties should kick off a thread on SIPPING (which
is
probably the appropriate forum for this discussion) to gather
requirements
for this.

Jon Peterson
NeuStar, Inc